Last Comment Bug 586363 - Bookmark Manager doesn't open if all windows are closed
: Bookmark Manager doesn't open if all windows are closed
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: seamonkey2.1b1
Assigned To: Robert Kaiser
:
Mentors:
Depends on:
Blocks: SMPlacesBMarks 591807
  Show dependency treegraph
 
Reported: 2010-08-11 11:56 PDT by Stefan [:stefanh]
Modified: 2010-09-04 06:10 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
v1: I hope that does it (2.08 KB, patch)
2010-08-22 15:27 PDT, Robert Kaiser
stefanh: review-
Details | Diff | Splinter Review
v1.1: add the overlay (3.04 KB, patch)
2010-08-26 15:38 PDT, Robert Kaiser
stefanh: review+
Details | Diff | Splinter Review

Description Stefan [:stefanh] 2010-08-11 11:56:36 PDT
STR:

1) Use a Mac, launch SeaMonkey
2) Close all windows
3) From the Bookmarks menu, choose "Manage Bookmarks"

Expected results: Bookmarks Manager window opens.
Actual results: No window appear and the following error messages can be seen in the error console:

--------------------------------------
Error: PlacesMenu is not defined
Source File: chrome://navigator/content/hiddenWindow.xul
Line: 1
--------------------------------------
Error: PlacesCommandHook is not defined
Source File: chrome://navigator/content/hiddenWindow.xul
Line: 1
--------------------------------------
Comment 1 Stefan [:stefanh] 2010-08-11 12:35:33 PDT
It appears that hiddenWindow.xul still references the old js files, so no menu commands works. I also think that we need to reference the jsm modules in hiddenwindow.
Comment 2 Robert Kaiser 2010-08-22 15:13:26 PDT
Oops, I'm sorry. Somehow I have a tendency to forget that hidden window. :(
Comment 3 Robert Kaiser 2010-08-22 15:27:11 PDT
Created attachment 468178 [details] [diff] [review]
v1: I hope that does it

Stefan, please test this, I hope it works.
Comment 4 Stefan [:stefanh] 2010-08-25 13:26:59 PDT
Comment on attachment 468178 [details] [diff] [review]
v1: I hope that does it

OK, so the BM opens now, but there are a few issues:

1) The first one is a js error while opening the window:
Error: PlacesUtils is not defined
Source File: chrome://communicator/content/places/browserPlacesViews.js
Line: 76

2) The second one is that the bookmarks menu doesn't show any bookmarks while opening it from the menubar (I only see the default menuitems and the PT menu without any bookmarks in and I got a lot of BM)

I suspect that 2) is related to the jsm modules I mention in comment #1, but I'm not sure.
Comment 5 Robert Kaiser 2010-08-26 15:38:02 PDT
Created attachment 469646 [details] [diff] [review]
v1.1: add the overlay

OK, I guess we need to add the places overlay as well.
Comment 6 Stefan [:stefanh] 2010-08-28 12:59:19 PDT
It works now, but I get an error in the console saying:
------------------------------------------------------------------
Error: An error occurred updating the cmd_selectAll command: [Exception... "'[JavaScript Error: "this._view.result is null" {file: "chrome://communicator/content/places/controller.js" line: 181}]' when calling method: [nsIController::isCommandEnabled]"  nsresult: "0x80570021 (NS_ERROR_XPC_JAVASCRIPT_ERROR_WITH_DETAILS)"  location: "JS frame :: chrome://global/content/globalOverlay.js :: goUpdateCommand :: line 55"  data: yes]
Source File: chrome://global/content/globalOverlay.js
Line: 61
------------------------------------------------------------------
Comment 7 Stefan [:stefanh] 2010-08-28 13:09:36 PDT
Not sure that's related, though...
Comment 8 Stefan [:stefanh] 2010-08-29 08:48:54 PDT
Actually, the error in comment #6 happens on non-mac as well. I have however found another problem - it seems that the microsummaryservice seems to relies on that you have a browser window open

Error: event is not defined
Source File: file:///Users/Stefan/objdir-sm-trunk/mozilla/dist/SeaMonkeyDebug.app/Contents/MacOS/components/nsMicrosummaryService.js
Line: 1982
Comment 9 Stefan [:stefanh] 2010-08-29 08:49:39 PDT
this happens btw while selecting a bookmark in the bm.
Comment 10 Robert Kaiser 2010-08-29 10:40:35 PDT
(In reply to comment #9)
> this happens btw while selecting a bookmark in the bm.

Please file a new bug for that, either bad port or failure from addressing reviews.

Let's keep this bug to making hiddenWindow work - and I'm happy if we can succeed there.
Comment 11 Stefan [:stefanh] 2010-08-29 11:55:33 PDT
Comment on attachment 469646 [details] [diff] [review]
v1.1: add the overlay

> Please file a new bug for that, either bad port or failure from addressing
> reviews.
Sure, we can do that in another bug.
Comment 12 Stefan [:stefanh] 2010-08-29 12:13:40 PDT
(In reply to comment #11)
> Comment on attachment 469646 [details] [diff] [review]
> v1.1: add the overlay
> 
> > Please file a new bug for that, either bad port or failure from addressing
> > reviews.
> Sure, we can do that in another bug.
Filed bug 586363.
Comment 13 Stefan [:stefanh] 2010-08-29 12:14:10 PDT
(In reply to comment #12)
> Filed bug 586363.

Uh, I mean bug 591807.
Comment 14 Robert Kaiser 2010-09-04 06:10:53 PDT
Pushed as http://hg.mozilla.org/comm-central/rev/e2155ffb330a - thanks for bringing it up!

Note You need to log in before you can comment on or make changes to this bug.